cURL
curl --request POST \ --url https://api.example.com/v1/assignments \ --header 'Content-Type: application/json' \ --data ' { "lesson_id": "<string>", "type": {}, "title": "<string>", "description": "<string>", "due_at": "<string>", "rubric": {} } '
Documentation IndexFetch the complete documentation index at: https://docs.hawkings.education/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.hawkings.education/llms.txt
Use this file to discover all available pages before exploring further.
essay
upload
code
oral
project
await hk.assignments.create({ lesson_id: "lsn_123", type: "essay", title: "Explain mass-energy equivalence", rubric: { scale: { min: 0, max: 10 }, criteria: [ { name: "clarity", weight: 0.4 }, { name: "accuracy", weight: 0.4 }, { name: "sources", weight: 0.2 }, ], }, });